/*
 * Copyright (c) 2008 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#include "TransferFunction.h"

namespace HARK
{
	ObjectRef Position::clone() {
		return ObjectRef(new Position(*this));
	}

	void Position::printOn(std::ostream& out) const {
	}

	ObjectRef Neighbor::clone() {
		return ObjectRef(new Neighbor(*this));
	}

	void Neighbor::printOn(std::ostream& out) const {
	}

	ObjectRef Config::clone() {
		return ObjectRef(new Config(*this));
	}

	void Config::printOn(std::ostream& out) const {
	}

	ObjectRef TransferFunction::clone() {
		return ObjectRef(new TransferFunction(*this));
	}

	void TransferFunction::printOn(std::ostream& out) const {
	}

	std::istream &operator >> (std::istream &in, Position &data){
		return in;
	}

	std::istream &operator >> (std::istream &in, Neighbor &data){
		return in;
	}

	std::istream &operator >> (std::istream &in, Config &data){
		return in;
	}

	std::istream &operator >> (std::istream &in, TransferFunction &data){
		return in;
	}
}

//end of file
